Subject: [mpls-tp] FW: CC/CV/RDI nee RE: [mpls] [PWE3] [AHMPLS-TP] Re: pollondraft-he-mpls-tp-csf-03.txt

From: John E Drake <[email-masked]>
Date: Thu, 2 Dec 2010 11:24:36 -0800

Resent with trailing emails elided.

Sent from my iPhone

From: John E Drake
Sent: Thursday, December 02, 2010 11:21 AM
To: 'Greg Mirsky'
Cc: LEVRAU, LIEVEN (LIEVEN); Rajiv Asati (rajiva); Yuanlong Jiang; [email-masked]; Sprecher, Nurit (NSN - IL/Hod HaSharon); MPLS-TP ad hoc team; [email-masked]; [email-masked]
Subject: CC/CV/RDI nee RE: [mpls] [PWE3] [AHMPLS-TP] Re: [mpls-tp] pollondraft-he-mpls-tp-csf-03.txt

Hi,

Here is the relevant excerpt from CC/CV/RDI, for those that have not actually read it.

There are two clarifications to the base BFD spec (reference [4]) wrt the behavior of the MinRxInterval = 0.  This is for independent mode *only*, and it may or may not actually be implemented by anyone.

There is a statement that Link Down Indication and Lock Report may be used as inputs to the BFD state machine.  This may be done by mapping them to an existing input to the BFD state machine so the state machine  is not changed in any way.

There is a statement that Poll/Final is currently not used w/ GAL/GACH.  I personally think this is a mistake.

And that's about it.

Thanks,

John

3.5. BFD Profile for MPLS-TP

   BFD MUST operate in asynchronous mode. In this mode, the BFD Control
   packets are periodically sent at configurable time rate. This rate is
   typically a fixed value for the lifetime of the session. In the rare
   circumstance where an operator has a reason to change session
   parameters, the session must be moved to the ADMIN DOWN state.
   Poll/final discipline can only used for VCCV and UDP/IP encapsulated
   BFD.

   The transport profile is designed to operate independent of the
   control plane; hence the C bit SHOULD be set.

   This document specifies bi-directional BFD for p2p transport LSPs,
   hence the M bit MUST be clear.

   There are two modes of operation for bi-directional LSPs. One in
   which the session state of both directions of the LSP is coordinated
   and one constructed from BFD sessions in such a way that the two
   directions operate independently. A single bi-directional BFD session
   is used for coordinated operation. Two independent BFD sessions are
   used for independent operation.

   Coordinated operation is as described in [4]. Independent operation
   requires clarification of two aspects of [4]. Independent operation
   is characterized by the setting of MinRxInterval to zero by the MEP
   that is typically the session originator (referred to as the source
   MEP), and there will be a session originator at either end of the bi-
   directional LSP. Each source MEP will have a corresponding sink MEP
   that has been configured to a Tx interval of zero.

   The base spec is unclear on aspects of how a MEP with a BFD transmit
   rate set to zero behaves. One interpretation is that no periodic
   messages on the reverse component of the bi-directional LSP originate
   with that MEP, it will only originate messages on a state change.

   The first clarification is that when a state change occurs a MEP set
   to a transmit rate of zero sends BFD control messages with a one
   second period on the reverse component until such time that the state
   change is confirmed by the session peer. At this point the MEP set to
   a transmit rate of zero can resume quiescent behavior. This adds
   robustness to all state transitions in the RxInterval=0 case.

   The second is that the originating MEP (the one with a non-zero
   TxInterval) will ignore a DOWN state received from a zero interval
   peer. This means that the zero interval peer will continue to send
   DOWN state messages that include the RDI diagnostic code as the state
   change is never confirmed. This adds robustness to the exchange of
   RDI indication on a uni-directional failure (for both session types
   DOWN with a diagnostic of either control detection period expired or
   neighbor signaled session down offering RDI functionality).

   A further extension to the base specification is that there are
   additional OAM protocol exchanges that act as inputs to the BFD state
   machine; these are the Link Down Indication [5] and the Lock
   Instruct/Lock Report transactions; Lock Report interaction being
   optional.

Sent from my iPhone

From: Greg Mirsky [mailto:[email-masked]]
Sent: Thursday, December 02, 2010 10:53 AM
To: John E Drake
Cc: LEVRAU, LIEVEN (LIEVEN); Rajiv Asati (rajiva); Yuanlong Jiang; [email-masked]; Sprecher, Nurit (NSN - IL/Hod HaSharon); MPLS-TP ad hoc team; [email-masked]; [email-masked]
Subject: Re: [mpls] [PWE3] [AHMPLS-TP] Re: [mpls-tp] pollondraft-he-mpls-tp-csf-03.txt

To stress that, IMHO, MPLS-TP CC/CV/RDI is neither IP, nor IP/MPLS BFD.
On Thu, Dec 2, 2010 at 10:26 AM, John E Drake <[email-masked]<mailto:[email-masked]>> wrote:
At this level of discussion, what's your point?

Sent from my iPhone

From: Greg Mirsky [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, December 02, 2010 10:00 AM
To: John E Drake
Cc: LEVRAU, LIEVEN (LIEVEN); Rajiv Asati (rajiva); Yuanlong Jiang; [email-masked]<mailto:[email-masked]>; Sprecher, Nurit (NSN - IL/Hod HaSharon); MPLS-TP ad hoc team; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Subject: Re: [mpls] [PWE3] [AHMPLS-TP] Re: [mpls-tp] pollondraft-he-mpls-tp-csf-03.txt

Dear John,
I think that MPLS-TP OAM CC/CV/RDI solution is based on BFD. It is not BFD in its entirety but is a subset with some aspects being specific for MPLS-TP and not part of RFC 5880.

Regards,
Greg
On Thu, Dec 2, 2010 at 5:45 AM, John E Drake <[email-masked]<mailto:[email-masked]>> wrote:
That statement is incorrect.  MPLS-TP uses BFD for CC/CV/RDI (http://datatracker.ietf.org/doc/draft-ietf-mpls-tp-cc-cv-rdi/)

Sent from my iPhone

> -----Original Message-----
> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of
> LEVRAU, LIEVEN (LIEVEN)
> Sent: Thursday, December 02, 2010 5:17 AM
> To: Rajiv Asati (rajiva); Yuanlong Jiang
> Cc: [email-masked]<mailto:[email-masked]>; Sprecher, Nurit (NSN - IL/Hod HaSharon); MPLS-TP ad
> hoc team; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
> Subject: Re: [mpls] [PWE3] [AHMPLS-TP] Re: [mpls-tp] pollondraft-he-
> mpls-tp-csf-03.txt
>
> provocative statement alert- We should as we are talking about MPLS-TP
> and not about IP network layer.
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 2 Dec 2010 22:42:51 +0200

John,
You've written:
There is a statement that Poll/Final is currently not used w/ GAL/GACH.  I personally think this is a mistake.
I concur with this statement. There is no need to override the existing and widely deployed BFD state machine.

Regards,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of John E Drake [[email-masked]]
Sent: Thursday, December 02, 2010 9:24 PM
To: [email-masked]
Subject: [mpls-tp] FW: CC/CV/RDI nee RE: [mpls] [PWE3] [AHMPLS-TP] Re: pollondraft-he-mpls-tp-csf-03.txt

Sent from my iPhone

From: John E Drake

Hi,

And that’s about it.

Thanks,

John

Sent from my iPhone

To stress that, IMHO, MPLS-TP CC/CV/RDI is neither IP, nor IP/MPLS BFD.
On Thu, Dec 2, 2010 at 10:26 AM, John E Drake <[email-masked]<mailto:[email-masked]>> wrote:
At this level of discussion, what’s your point?

Sent from my iPhone

Dear John,

Regards,
Greg

Sent from my iPhone

---

From: John E Drake <[email-masked]>
Date: Thu, 2 Dec 2010 12:55:45 -0800

Sasha,

Great, thanks.   I guess I will suggest removing this statement from the I-D to the editors.

John

Sent from my iPhone

From: Alexander Vainshtein [mailto:[email-masked]]
Sent: Thursday, December 02, 2010 12:43 PM
To: John E Drake
Cc: [email-masked]; Robert Rennison
Subject: RE: [mpls-tp] FW: CC/CV/RDI nee RE: [mpls] [PWE3] [AHMPLS-TP] Re: pollondraft-he-mpls-tp-csf-03.txt

John,
You've written:

Regards,
     Sasha

Sent from my iPhone

From: John E Drake

Hi,

And that's about it.

Thanks,

John

Sent from my iPhone

Sent from my iPhone

Dear John,

Regards,
Greg

Sent from my iPhone

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 2 Dec 2010 13:06:07 -0800

Dear Sasha and John,
I've advocated and support view expressed in the Section 3.5 that change of
OAM session parameters (Detect Mult, Desired Min TX Interval, and Required
Min RX Interval) constitutes new OAM session and thus session must
transition through ADMIN DOWN state.

Regards,
Greg

On Thu, Dec 2, 2010 at 12:42 PM, Alexander Vainshtein <
[email-masked]> wrote:

>  ------------------------------
> *From:* [email-masked] [[email-masked]] On Behalf Of
> John E Drake [[email-masked]]
> *Sent:* Thursday, December 02, 2010 9:24 PM
> *To:* [email-masked]
> *Subject:* [mpls-tp] FW: CC/CV/RDI nee RE: [mpls] [PWE3] [AHMPLS-TP] Re:
> pollondraft-he-mpls-tp-csf-03.txt
>
> *From:* John E Drake
> *Sent:* Thursday, December 02, 2010 11:21 AM
> *To:* 'Greg Mirsky'
> *Cc:* LEVRAU, LIEVEN (LIEVEN); Rajiv Asati (rajiva); Yuanlong Jiang;
> [email-masked]; Sprecher, Nurit (NSN - IL/Hod HaSharon); MPLS-TP ad hoc
> team; [email-masked]; [email-masked]
> *Subject:* CC/CV/RDI nee RE: [mpls] [PWE3] [AHMPLS-TP] Re: [mpls-tp]
> pollondraft-he-mpls-tp-csf-03.txt
>
>
>
> Hi,
>
>
>
> There are two clarifications to the base BFD spec (reference [4]) wrt the
> behavior of the MinRxInterval = 0.  This is for independent mode **only**,
> and it may or may not actually be implemented by anyone.
>
>
>
> There is a statement that Link Down Indication and Lock Report may be used
> as inputs to the BFD state machine.  This may be done by mapping them to an
> existing input to the BFD state machine so the state machine  is not changed
> in any way.
>
>
>
> *
> *